Loading...
Searching...
No Matches
etl::successor< T > Class Template Reference

Adds successor traits to a class. More...

`#include <successor.h>`

## Public Types

typedef T | successor_type

## Public Member Functions

| successor ()
| Default constructor.
| successor (successor_type &s)
| Construct from a successor type.
void | set_successor (successor_type &s)
| Set the successor.
template<typename TSuccessor>
void | append_successor (TSuccessor &s)
| Append a successor.
void | clear_successor ()
| Clear the successor.
void | clear_successor_chain ()
| Clear the successor chain.
successor_type & | get_successor () const
bool | has_successor () const
| Does this have a successor?

## Detailed Description

template<typename T>
class etl::successor< T >

Adds successor traits to a class.

## Member Function Documentation

## get_successor()

template<typename T>

successor_type & etl::successor< T >::get_successor | ( |  | ) | const

inline

Get the successor. Emits an etl::successor_invalid if a successor has not been set.

The documentation for this class was generated from the following file:

- include/etl/successor.h